Bug 254376 - www/yt-dlp: Update to 2021.03.21
Summary: www/yt-dlp: Update to 2021.03.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-18 10:34 UTC by Daniel Engberg
Modified: 2021-03-25 09:53 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
Patch for yt-dlp (11.80 KB, patch)
2021-03-18 10:34 UTC, Daniel Engberg
no flags Details | Diff
Patch for yt-dlp v2 (11.80 KB, patch)
2021-03-22 17:49 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-03-18 10:34:15 UTC
Created attachment 223385 [details]
Patch for yt-dlp

Update yt-dlp to 2021.03.15

Migrate to same build logic as www/youtube_dl
Update project URL
Remove zip build dependency
Make mutagen optional
Disable self-updating

Compile and run tested on FreeBSD 13.0-RC1 (aarch64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Comment 1 Daniel Engberg freebsd_committer 2021-03-18 10:34:34 UTC
This patch temporarily removes manpage, I'll add it later once I have a devbox that doesn't take ages to test and compile pandoc
Comment 2 Daniel Engberg freebsd_committer 2021-03-22 17:49:14 UTC
Created attachment 223504 [details]
Patch for yt-dlp v2

Update yt-dlp to 2021.03.21
Comment 3 Daniel Engberg freebsd_committer 2021-03-25 09:15:04 UTC
Friendly ping :-)
Comment 4 Yuri Victorovich freebsd_committer 2021-03-25 09:53:20 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2021-03-25 09:53:22 UTC
A commit references this bug:

Author: yuri
Date: Thu Mar 25 09:53:02 UTC 2021
New revision: 569193
URL: https://svnweb.freebsd.org/changeset/ports/569193

Log:
  www/yt-dlp: Update 2021.02.09 -> 2021.03.21

  PR:		254376
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/www/yt-dlp/Makefile
  head/www/yt-dlp/distinfo
  head/www/yt-dlp/files/
  head/www/yt-dlp/files/patch-Makefile
  head/www/yt-dlp/files/patch-yt__dlp_____init____.py
  head/www/yt-dlp/files/patch-yt__dlp_options.py
  head/www/yt-dlp/pkg-descr
  head/www/yt-dlp/pkg-plist